﻿using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.iOSEdition;
using UIKit;

namespace LimitScaleSample
{
    public partial class RootViewController : UIViewController
    {
        public RootViewController(IntPtr handle)
            : base(handle)
        {
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();

            MapView mapView = new MapView(View.Bounds);
            mapView.MapUnit = GeographyUnit.DecimalDegree;
            mapView.CurrentExtent = new RectangleShape(-96.81, 33.13, -96.80, 33.12);

            WorldMapKitOverlay overlay = new WorldMapKitOverlay();
            mapView.Overlays.Add(overlay);
            mapView.MaximumScale = mapView.ZoomLevelSet.ZoomLevel12.Scale;
            mapView.MinimumScale = mapView.ZoomLevelSet.ZoomLevel15.Scale;
            mapView.Refresh();

            View.Add(mapView);
        }
    }
}